#ifndef __COMPAT_MM_H__
#   define __COMPAT_MM_H__


#include <linux/mm.h>


/* The get_page() API appeared in 2.3.7 --hpreg */
/* Sometime during development it became function instead of macro --petr */
#if LINUX_VERSION_CODE < KERNEL_VERSION(2, 4, 0) && !defined(get_page) 
#   define get_page(_page) atomic_inc(&(_page)->count)
/* The __free_page() API is exported in 2.1.67 --hpreg */
#   if LINUX_VERSION_CODE >= KERNEL_VERSION(2, 1, 67)
#      define put_page __free_page
#   else
#      include "compat_page.h"

#      define page_to_phys(_page) (page_to_pfn(_page) << PAGE_SHIFT)
#      define put_page(_page) free_page(page_to_phys(_page))
#   endif
#endif


#endif /* __COMPAT_MM_H__ */
